pam_sge-qrsh-setup(8)

NAME
pam_sge-qrsh-setup - PAM module for tight integration with Grid Engine

SYNOPSIS
pam_sge-qrsh-setup

DESCRIPTION
This PAM module provides tight integration of SSH communication into Grid Engine when is used with qrsh etc. It may also work with other communication methods that run daemons which use PAM. See It provides to the spawned processes the group id from $SGE_ROOT/default/spool/hostname/active_jobs/job_id/addgrpid and the environment from $SGE_ROOT/default/spool/hostname/active_jobs/job_id/environment.

It assumes the use of a wrapper for rshd. A suitable one is distributed as util/resources/wrappers/rshd-wrapper under the Grid Engine root directory.

OPTIONS
The module has no options.

EXAMPLE
On a typical GNU/Linux system, add the following line to /etc/pam.d/sshd, e.g. at the top of the file.

     auth required /opt/sge/lib/lx-amd64/pam_sge-qrsh-setup.so

On some systems it might be necessary to copy pam_sge-qrsh-setup.so into, say, /lib/security and instead use it as

     auth required pam_sge-qrsh-setup.so

FILES
/var/run/sge-qrsh-setup
$SGE_ROOT/util/resources/wrappers/rshd-wrapper

SEE ALSO

AUTHOR
Andreas Haupt, man page by Dave Love.